> ## Documentation Index
> Fetch the complete documentation index at: https://razorpay-881012b3.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Bind the Device

> Bind the device using the Razorpay TPAP Pro API.

<div style={{display:"flex",flexWrap:"wrap",alignItems:"center",gap:"0.35rem 0.9rem",border:"1px solid rgba(128,128,128,0.28)",borderRadius:"0.5rem",padding:"0.45rem 0.75rem",margin:"0 0 1.25rem",fontSize:"0.875rem"}}>
  <span style={{fontWeight:600}}>Available in</span>
  <span>🇮🇳 India</span>
</div>

Use this endpoint to bind the device.

<RequestExample>
  ```bash Request theme={null}
  curl -X POST 'api.rzp.<bank>.com/v1/upi/tpap/devices/bind' \
  -u [YOUR_KEY_ID]:[YOUR_SECRET] \
  -H "Content-type: application/json" \
  -H "x-customer-reference: customer-id-from-customer" \
  -d '{
    "mobile":"91999999999",
    "verification_type":"sms",
    "sms":{
      "content":"UPIACT ad56ef90396348bac56099"
    },
    "uuid":"<device_id>",
    "app":"test.merchant.upi.com",
    "ssid":"123456789",
    "manufacturer":"samsung",
    "model":"Galaxy S23",
    "os":"android",
    "os_version":"Dev12345"
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "entity":"upi.device",
    "mobile":"999999999",
    "uuid":"<device_id>",
    "app":"test.merchant.upi.com",
    "ssid":"123456789",
    "manufacturer":"samsung",
    "model":"Galaxy S23",
    "os":"android",
    "os_version":"Dev12345",
    "status":"verified"
  }
  ```
</ResponseExample>

## Request Parameters

<ParamField body="mobile" type="string" required>
  Mobile number of the customer.
</ParamField>

<ParamField body="verification_type" type="string" required>
  The verification type. Possible value is `sms`.
</ParamField>

<ParamField body="sms" type="object" required>
  The device details.
</ParamField>

<ParamField body="content" type="string">
  SMS content to be used for device binding of this token as returned by the [Get Verification Token API](/docs/api/payments/tpap-pro/customer-onboarding/verification-token).
</ParamField>

<ParamField body="device" type="object" required>
  The device information. This should be the same information sent when you [get the verification token api](/docs/api/payments/tpap-pro/customer-onboarding/verification-token).
</ParamField>

<ParamField body="uuid" type="string">
  The unique identifier of the device. For example, `advertising_id` or `android_id`.
</ParamField>

<ParamField body="app" type="string">
  The package name for the app.
</ParamField>

<ParamField body="ssid" type="string">
  The service set identifier (unique network identifier).
</ParamField>

<ParamField body="manufacturer" type="string">
  The phone manufacturer.
</ParamField>

<ParamField body="model" type="string">
  The phone model. For example, `Galaxy S23`.
</ParamField>

<ParamField body="os" type="string">
  The operating system running on the device.
</ParamField>

<ParamField body="os_version" type="string">
  The version of the operating system.
</ParamField>

## Response Parameters

<ResponseField name="entity" type="string">
  Indicates the type of entity. Here it is, `device`.
</ResponseField>

<ResponseField name="mobile" type="string">
  The mobile number of the customer.
</ResponseField>

<ResponseField name="uuid" type="string">
  The unique identifier of the device. For example, `advertising_id` or `android_id`.
</ResponseField>

<ResponseField name="app" type="string">
  The package name for the app.
</ResponseField>

<ResponseField name="ssid" type="string">
  The service set identifier (unique network identifier).
</ResponseField>

<ResponseField name="manufacturer" type="string">
  The phone manufacturer.
</ResponseField>

<ResponseField name="model" type="string">
  The phone model. For example, `Galaxy S23`.
</ResponseField>

<ResponseField name="os" type="string">
  The operating system running on the device.
</ResponseField>

<ResponseField name="os_version" type="string">
  The version of the operating system.
</ResponseField>

<ResponseField name="status" type="string">
  Device binding status. Know more about the [device binding status](/docs/payments/tpap-pro/integration-guide#device-binding-status).
</ResponseField>
